Bug 845229 - Many warnings occur when deploying BRMS 5.3.0 .war files on EAP 6.0
Many warnings occur when deploying BRMS 5.3.0 .war files on EAP 6.0
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Shelly McGowan
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 07:27 EDT by Jiri Svitak
Modified: 2016-09-20 01:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log with many class-path reference warnings (59.18 KB, text/plain)
2012-08-02 07:27 EDT, Jiri Svitak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1955 Minor Resolved Many warnings occur when deploying .war files on AS 7/EAP 6.0 2014-04-24 21:05:06 EDT
JBoss Issue Tracker JBPM-3821 Minor Resolved Many warnings occur when deploying .war files on AS 7/EAP 6.0 2014-04-24 21:05:06 EDT

  None (edit)
Description Jiri Svitak 2012-08-02 07:27:42 EDT
Created attachment 601928 [details]
server.log with many class-path reference warnings

Many warnings occur when deploying BRMS 5.3.0 .war files on EAP 6.0. It's because the application server complains about that many classpath entries do not point to a valid jar for a Class-Path reference. See the attached server.log file.
Comment 3 Geoffrey De Smet 2012-08-27 11:13:29 EDT
This issue happens on jbpm console, designer but also guvnor. This issue will probably need to be split up.

It's caused because some of our dependencies (such as derby) have a META-INF/Manifest.MF file with a "Class-Path" entry.
End-user jars (such as drools-planner-examples and drools-examples) are allowed to use a "Class-Path" entry, but non-end users jars (which are used as dependencies) should NOT use that.

I don't see a direct way to fix it, except for trying to get rid of those "bad" dependencies if possible.
Comment 4 Geoffrey De Smet 2012-08-27 11:35:39 EDT
On the guvnor side: derby comes in through jackrabbit-core.
[INFO] |  +- org.drools:guvnor-repository-connector-jackrabbit:jar:5.3.4-SNAPSHOT:runtime
[INFO] |  |  \- org.apache.jackrabbit:jackrabbit-core:jar:2.2.8:runtimee
[INFO] |  |     \- org.apache.derby:derby:jar:10.5.3.0_1:runtime
Comment 5 Geoffrey De Smet 2012-08-27 11:44:55 EDT
Guvnor suffers from this on the jars derby, itext and jaxb-impl. Unless we're willing to rerelease those jars (which is not realistic and not maintainable), we can't do much about it. 
So the only options I see are:
- Wait till those jar stop using the "Class-Path" entry and upgrade
Meanwhile:
- A) Ignore the warnings
- B) Figure out a way to hide the warnings (with a JBoss AS switch or by logging config).
Comment 6 Marco Rietveld 2012-09-10 11:03:33 EDT
With regards to human-task and console-server, I've removed as many possible extraneous jars (that were mostly used for hibernate 3 and thus not used any more) from the EAP 6 wars. Any other warning messages with regards to these 2 wars are unavoidable until BRMS/SOA moves to EAP 6. 

Geoffrey and Tihomir will have to speak for their respective projects (Guvnor, Designer) themselves.
Comment 7 Marco Rietveld 2012-10-10 06:21:00 EDT
Setting to new, since I'm not actively working on this issue and also because it also partially falls under Geoffrey's and Tihomir's purview/responsibilities.
Comment 8 Marco Rietveld 2012-10-10 06:29:29 EDT
Added jira's for Designer and Guvnor issues.
Comment 10 JBoss JIRA Server 2013-04-07 18:27:25 EDT
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira JBPM-3821 to Resolved
Comment 11 JBoss JIRA Server 2013-04-07 18:27:25 EDT
Marco Rietveld <marco.rietveld@redhat.com> made a comment on jira JBPM-3821

Designer is being rewritten.
Comment 12 JBoss JIRA Server 2013-04-07 18:27:49 EDT
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira GUVNOR-1955 to Resolved
Comment 13 JBoss JIRA Server 2013-04-07 18:27:49 EDT
Marco Rietveld <marco.rietveld@redhat.com> made a comment on jira GUVNOR-1955

Guvnor is being rewritten.
Comment 14 JBoss JIRA Server 2013-04-07 18:28:03 EDT
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira GUVNOR-1955 to Reopened
Comment 15 JBoss JIRA Server 2013-04-07 18:28:15 EDT
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira GUVNOR-1955 to Resolved
Comment 16 Marco Rietveld 2013-06-26 04:40:10 EDT
Jiri, I would like to close this bug. Is there a satisfactory solution that you could suggest here? None of the current warnings are due to jbpm components, as far as I know (warnings are generated by either designer or guvnor, not jbpm components).
Comment 17 Jiri Svitak 2013-06-26 04:48:01 EDT
Marco,
this Bugzilla is deprecated as it targets already released BRMS 5.3.x. So closing it as Verified. If there will be similar issues in jBPM 6, new Bugzilla will be opened.

Note You need to log in before you can comment on or make changes to this bug.